#include "pre.h"
#include "mtellnp.h"
#include <malloc.h>
#include <stdio.h>
#include <cstring>
using namespace std;


MTellNP::MTellNP(MosList *moshead_, ModelList *modelhead_)
{
	moshead = moshead_;
	modelhead = modelhead_;
}

MTellNP::~MTellNP()
{
	if(moshead) delete moshead;
	if(modelhead) delete modelhead;
}

void MTellNP::mos_np_netlist()
{
//	if(moshead==NULL)
//	   printf("mos is empty\n");
//	if(modelhead == NULL)
//	   printf("model is empty\n");
	MosList *cur_mos;
	ModelList *cur_model;
	char *n_or_p;
	for(cur_mos=moshead; cur_mos != NULL; cur_mos = cur_mos->next)
	{
	   for(cur_model=modelhead; cur_model!=NULL; cur_model=cur_model->next)	
	   {
		if(!strcmp(cur_mos->modelname,cur_model->name))
		{
		   n_or_p = cur_model->npmos;
		   if((*n_or_p == 'P') || (*n_or_p == 'p'))
			cur_mos->nptype = 1;
		   else 
			cur_mos->nptype = 0;
		}
	   }
	}
}
