#include "pre.h"
#include "mbranch.h"
#include "mcgate.h"
#include <malloc.h>
#include <stdio.h>
#include <cstring>
using namespace std;

#define NLAlloc(type,num) (type *)calloc(num,sizeof(type))


MCGate::MCGate(const char *name, MBranch *nbranch, MBranch *pbranch, bool cmos_gate_)
{
        gatename = NLAlloc(char, strlen(name));
        strcpy(gatename, name);
	n_branch = nbranch;
	p_branch = pbranch;
	cmos_gate = cmos_gate_;
	inlist = NULL;
	pn_input_match = true;
	unique = true;
}

MCGate::~MCGate()
{
	if(n_branch) delete n_branch;
	if(p_branch) delete p_branch;
}

