#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# ifndef YYLMAX 
# define YYLMAX BUFSIZ
# endif 
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
#define YYISARRAY
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
#include <stdio.h>
#include <string>
#include <cstring>
#include "pre.h"
#include "y.tab.h"
#define NLAlloc(type,num) (type *)calloc(num,sizeof(type))
extern YYSTYPE yylval;
extern char *subname;
extern char *macromodelname;
extern char *inoutconname;
extern char *modelname;
float base_value = 1;
# define YYNEWLINE 10
int yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 50 "bas.l"
     {
		      sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
		      return ( RESISTOR );
		     }
break;
case 2:

# line 56 "bas.l"
     {
		      sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
		      return ( CAPACITOR );
		     }
break;
case 3:

# line 62 "bas.l"
     {
		      sscanf(yytext, "%s", &yylval.svalue);
//		      printf("%s\n", yytext);
		      return ( INDUCTOR );
		     }
break;
case 4:

# line 68 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
                return( DIODE );
}
break;
case 5:

# line 73 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
                return( MOSFET );
}
break;
case 6:

# line 79 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
                return( BIPOLAR );
}
break;
case 7:

# line 85 "bas.l"
    {
		      sscanf(yytext, "%d", &yylval.ivalue);
//			printf("%s\n", yytext);
		      return ( INTEGER );
		     }
break;
case 8:

# line 91 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//			printf("node: %s\n", yytext);
                return( NODENAME );
}
break;
case 9:

# line 97 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//                        printf("%s\n", yytext);
                return( TRANSIENT );
}
break;
case 10:

# line 103 "bas.l"
{
		sscanf(yytext, "%s", &yylval.svalue);	
		subname = NLAlloc(char, strlen(yytext));
		strcpy(subname, yytext);
//			printf("%s\n", subname);
		return( SUBCKT );
}
break;
case 11:

# line 111 "bas.l"
{
		sscanf(yytext, "%s", &yylval.svalue);	
		macromodelname = NLAlloc(char, strlen(yytext));
		strcpy(macromodelname, yytext);
//			printf("%s\n", macromodelname);
		return( MACROMODEL );
}
break;
case 12:

# line 119 "bas.l"
 {
		sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
		return( MODELL );
}
break;
case 13:

# line 125 "bas.l"
{
		sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
		return( ENDS );
}
break;
case 14:

# line 133 "bas.l"
{
		sscanf(yytext, "%s", &yylval.svalue);
//			printf("%s\n", yytext);
		return( ENDMACROMODEL );
}
break;
case 15:

# line 139 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//                     printf("%s\n", yytext);
                return( PRINT );
}
break;
case 16:

# line 145 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//                   printf("%s\n", yytext);
                return( OPTION );
}
break;
case 17:

# line 151 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
                inoutconname = NLAlloc(char, strlen(yytext));
                strcpy(inoutconname, yytext);
//                        printf("%s\n", yytext);
                return( INOUTCON );
}
break;
case 18:

# line 160 "bas.l"
{
                sscanf(yytext, "%s", &yylval.svalue);
//                 printf("dc: %s\n", yytext);
                return( DC );
}
break;
case 19:

# line 166 "bas.l"
{
                sscanf(yytext, "%f", &yylval.fvalue);
//			printf("%s\n", yytext);
                switch(yytext[strlen(yytext)-1]) {
                        case 'M':
                                base_value = 1e6;
                                break;
                        case 'k':
                        case 'K':
                                base_value = 1e3;
                                break;
                        case 'm':
                                base_value = 1e-3;
                                break;
                        case 'u':
                        case 'U':
                                base_value = 1e-6;
                                break;
                        case 'n':
                        case 'N':
                                base_value = 1e-9;
                                break;
                        case 'p':
                        case 'P':
                                base_value = 1e-12;
                                break;
                        case 't':
                        case 'T':
                                base_value = 1e12;
                                break;
                        case 'g':
                        case 'G':
                                base_value = 1e9;
                                break;
                        default:
                                base_value = 1;
                }
                yylval.fvalue = yylval.fvalue*base_value;
                return( VALUE );
	    }
break;
case 20:

# line 207 "bas.l"
{
		return *yytext;
//		printf("hehe\n");
	}
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

# line 213 "bas.l"

	extern int file_num;
	extern char **files;
	extern FILE *yyin;

	int yywrap(void)
	{
	  fclose(yyin);
	  if(++file_num <=2 )
	  {
		yyin = fopen(files[file_num],"r");
		if( yyin == NULL )
		{
			perror(" can not open destination file !\n");
			exit(-1);
		}
		return 0;
	  }
	  else
	  {
		return 1;
	  }
	}
int yyvstop[] = {
0,

20,
0, 

7,
19,
0, 

8,
0, 

8,
0, 

8,
0, 

8,
0, 

8,
0, 

8,
0, 

8,
0, 

19,
0, 

19,
0, 

17,
0, 

2,
8,
0, 

4,
8,
0, 

3,
8,
0, 

5,
8,
0, 

6,
8,
0, 

1,
8,
0, 

19,
0, 

2,
0, 

4,
0, 

3,
0, 

5,
0, 

6,
0, 

1,
0, 

19,
0, 

18,
0, 

16,
0, 

19,
0, 

19,
0, 

14,
0, 

13,
0, 

9,
0, 

12,
0, 

15,
0, 

10,
0, 

11,
0, 
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,3,	1,3,	0,0,	
1,4,	0,0,	1,4,	0,0,	
0,0,	1,5,	1,5,	1,5,	
1,5,	1,5,	1,5,	1,5,	
1,5,	1,5,	1,5,	0,0,	
0,0,	0,0,	1,3,	0,0,	
0,0,	16,17,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
26,26,	28,49,	59,26,	0,0,	
0,0,	0,0,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
1,6,	1,6,	1,6,	1,6,	
2,7,	4,16,	4,16,	4,16,	
4,16,	4,16,	4,16,	4,16,	
4,16,	4,16,	4,16,	29,50,	
30,51,	32,54,	33,55,	34,56,	
35,57,	51,60,	52,61,	53,62,	
55,63,	31,52,	5,17,	2,7,	
5,5,	5,5,	5,5,	5,5,	
5,5,	5,5,	5,5,	5,5,	
5,5,	5,5,	2,8,	31,53,	
56,64,	2,9,	57,65,	58,58,	
61,69,	58,58,	60,67,	62,70,	
58,66,	5,18,	5,19,	5,19,	
60,68,	63,71,	64,72,	5,19,	
65,73,	5,19,	5,19,	69,74,	
5,19,	70,75,	2,10,	2,11,	
5,19,	5,19,	71,76,	72,77,	
74,78,	77,79,	78,80,	2,12,	
2,13,	80,82,	82,83,	83,84,	
2,14,	2,15,	0,0,	0,0,	
0,0,	5,18,	5,19,	5,19,	
0,0,	0,0,	0,0,	5,19,	
0,0,	5,19,	5,19,	0,0,	
5,19,	0,0,	2,10,	2,11,	
5,19,	5,19,	0,0,	0,0,	
0,0,	0,0,	0,0,	2,12,	
2,13,	0,0,	0,0,	0,0,	
2,14,	2,15,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	0,0,	6,6,	
0,0,	0,0,	6,6,	0,0,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	6,6,	6,6,	
6,6,	6,6,	7,7,	9,29,	
9,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
9,31,	0,0,	9,32,	9,33,	
0,0,	0,0,	9,34,	9,35,	
0,0,	18,18,	0,0,	18,18,	
0,0,	7,7,	18,42,	18,42,	
18,42,	18,42,	18,42,	18,42,	
18,42,	18,42,	18,42,	18,42,	
66,66,	0,0,	0,0,	7,9,	
0,0,	0,0,	0,0,	0,0,	
8,26,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
8,26,	8,27,	0,0,	0,0,	
0,0,	0,0,	66,59,	0,0,	
7,20,	7,21,	0,0,	0,0,	
0,0,	66,59,	0,0,	0,0,	
0,0,	7,22,	7,23,	0,0,	
0,0,	0,0,	7,24,	7,25,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	8,26,	
0,0,	0,0,	8,26,	0,0,	
8,26,	8,26,	8,26,	8,28,	
7,20,	7,21,	0,0,	66,59,	
0,0,	66,59,	66,59,	0,0,	
66,59,	7,22,	7,23,	0,0,	
66,59,	66,59,	7,24,	7,25,	
8,26,	0,0,	8,26,	8,26,	
8,26,	8,26,	0,0,	0,0,	
0,0,	0,0,	0,0,	8,26,	
8,26,	0,0,	0,0,	0,0,	
8,26,	8,26,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
8,26,	8,26,	8,26,	8,26,	
8,26,	0,0,	0,0,	0,0,	
8,26,	0,0,	8,26,	8,26,	
8,26,	8,26,	8,26,	8,26,	
0,0,	8,26,	8,26,	8,26,	
8,26,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
10,36,	10,36,	10,36,	10,36,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	11,37,	
11,37,	11,37,	11,37,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	12,38,	12,38,	
12,38,	12,38,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	13,39,	13,39,	13,39,	
13,39,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
14,40,	14,40,	14,40,	14,40,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	17,17,	17,17,	17,17,	
17,17,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
17,18,	17,19,	17,19,	0,0,	
0,0,	0,0,	17,19,	0,0,	
17,19,	17,19,	0,0,	17,19,	
0,0,	0,0,	0,0,	17,19,	
17,19,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
17,18,	17,19,	17,19,	0,0,	
0,0,	0,0,	17,19,	0,0,	
17,19,	17,19,	0,0,	17,19,	
0,0,	0,0,	0,0,	17,19,	
17,19,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
20,43,	20,43,	20,43,	20,43,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	22,45,	22,45,	
22,45,	22,45,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	23,46,	23,46,	23,46,	
23,46,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
24,47,	24,47,	24,47,	24,47,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	25,48,	
25,48,	25,48,	25,48,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	36,36,	36,36,	
36,36,	36,36,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
38,38,	38,38,	38,38,	38,38,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	42,42,	42,42,	42,42,	
42,42,	42,42,	42,42,	42,42,	
42,42,	42,42,	42,42,	0,0,	
0,0,	49,49,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	42,19,	
42,19,	0,0,	0,0,	0,0,	
42,19,	0,0,	42,19,	42,19,	
0,0,	42,19,	49,58,	49,59,	
0,0,	42,19,	42,19,	0,0,	
0,0,	79,79,	49,59,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	79,79,	79,81,	0,0,	
0,0,	0,0,	0,0,	42,19,	
42,19,	0,0,	0,0,	0,0,	
42,19,	0,0,	42,19,	42,19,	
0,0,	42,19,	49,58,	0,0,	
0,0,	42,19,	42,19,	0,0,	
49,59,	0,0,	49,59,	49,59,	
0,0,	49,59,	0,0,	0,0,	
79,79,	49,59,	49,59,	79,79,	
0,0,	79,79,	79,79,	79,79,	
79,79,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	79,79,	0,0,	79,79,	
79,79,	79,79,	79,79,	0,0,	
0,0,	0,0,	0,0,	0,0,	
79,79,	79,79,	0,0,	84,84,	
0,0,	79,79,	79,79,	0,0,	
0,0,	0,0,	0,0,	84,84,	
84,85,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	79,79,	79,79,	79,79,	
79,79,	79,79,	0,0,	0,0,	
0,0,	79,79,	0,0,	79,79,	
79,79,	79,79,	79,79,	79,79,	
79,79,	0,0,	79,79,	79,79,	
79,79,	79,79,	84,84,	0,0,	
0,0,	84,84,	0,0,	84,84,	
84,84,	84,84,	84,84,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	84,84,	
0,0,	84,84,	84,84,	84,84,	
84,84,	0,0,	0,0,	0,0,	
0,0,	0,0,	84,84,	84,84,	
0,0,	0,0,	0,0,	84,84,	
84,84,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	84,84,	
84,84,	84,84,	84,84,	84,84,	
0,0,	0,0,	0,0,	84,84,	
0,0,	84,84,	84,84,	84,84,	
84,84,	84,84,	84,84,	0,0,	
84,84,	84,84,	84,84,	84,84,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+1,	0,		0,	
yycrank+115,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+77,	0,		0,	
yycrank+100,	0,		yyvstop+3,
yycrank+183,	0,		yyvstop+6,
yycrank+297,	0,		0,	
yycrank+-347,	0,		0,	
yycrank+207,	0,		0,	
yycrank+417,	yysvec+6,	yyvstop+8,
yycrank+492,	yysvec+6,	yyvstop+10,
yycrank+567,	yysvec+6,	yyvstop+12,
yycrank+642,	yysvec+6,	yyvstop+14,
yycrank+717,	yysvec+6,	yyvstop+16,
yycrank+792,	yysvec+6,	yyvstop+18,
yycrank+19,	yysvec+4,	0,	
yycrank+867,	0,		yyvstop+20,
yycrank+282,	0,		0,	
yycrank+0,	0,		yyvstop+22,
yycrank+937,	0,		0,	
yycrank+1012,	0,		0,	
yycrank+1087,	0,		0,	
yycrank+1162,	0,		0,	
yycrank+1237,	0,		0,	
yycrank+1312,	0,		0,	
yycrank+-44,	yysvec+8,	0,	
yycrank+0,	0,		yyvstop+24,
yycrank+-47,	yysvec+8,	0,	
yycrank+36,	0,		0,	
yycrank+26,	0,		0,	
yycrank+48,	0,		0,	
yycrank+25,	0,		0,	
yycrank+24,	0,		0,	
yycrank+22,	0,		0,	
yycrank+26,	0,		0,	
yycrank+1387,	yysvec+6,	yyvstop+26,
yycrank+1462,	yysvec+6,	yyvstop+29,
yycrank+1537,	yysvec+6,	yyvstop+32,
yycrank+1612,	yysvec+6,	yyvstop+35,
yycrank+1687,	yysvec+6,	yyvstop+38,
yycrank+1762,	yysvec+6,	yyvstop+41,
yycrank+1837,	0,		yyvstop+44,
yycrank+0,	yysvec+20,	yyvstop+46,
yycrank+0,	yysvec+21,	yyvstop+48,
yycrank+0,	yysvec+22,	yyvstop+50,
yycrank+0,	yysvec+23,	yyvstop+52,
yycrank+0,	yysvec+24,	yyvstop+54,
yycrank+0,	yysvec+25,	yyvstop+56,
yycrank+-1849,	yysvec+8,	yyvstop+58,
yycrank+0,	0,		yyvstop+60,
yycrank+41,	0,		0,	
yycrank+43,	0,		0,	
yycrank+43,	0,		0,	
yycrank+0,	0,		yyvstop+62,
yycrank+39,	0,		0,	
yycrank+62,	0,		0,	
yycrank+65,	0,		0,	
yycrank+-120,	yysvec+8,	0,	
yycrank+-46,	yysvec+8,	yyvstop+64,
yycrank+57,	0,		0,	
yycrank+50,	0,		0,	
yycrank+66,	0,		0,	
yycrank+63,	0,		0,	
yycrank+75,	0,		0,	
yycrank+66,	0,		0,	
yycrank+-292,	yysvec+8,	yyvstop+66,
yycrank+0,	0,		yyvstop+68,
yycrank+0,	0,		yyvstop+70,
yycrank+68,	0,		0,	
yycrank+73,	0,		0,	
yycrank+70,	0,		0,	
yycrank+80,	0,		0,	
yycrank+0,	0,		yyvstop+72,
yycrank+79,	0,		0,	
yycrank+0,	0,		yyvstop+74,
yycrank+0,	0,		yyvstop+76,
yycrank+73,	0,		0,	
yycrank+79,	0,		0,	
yycrank+-1924,	0,		0,	
yycrank+93,	0,		0,	
yycrank+0,	0,		yyvstop+78,
yycrank+93,	0,		0,	
yycrank+87,	0,		0,	
yycrank+-2002,	0,		0,	
yycrank+0,	0,		yyvstop+80,
0,	0,	0};
struct yywork *yytop = yycrank+2119;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,   1,   1,   1,   1,   1,   1, 
 40,  40,   1,  43,   1,  45,  46,  47, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,   1,   1,  40,   1,   1, 
  1,  65,  65,  67,  68,  69,  70,  70, 
 65,  65,  65,  70,  76,  77,  70,  65, 
 70,  81,  82,  65,  70,  70,  65,  65, 
 65,  65,  65,   1,  47,   1,   1,  47, 
  1,  97,  98,  99, 100, 101,  70,  70, 
 65, 105,  65, 107, 108, 109, 110, 111, 
112,  81, 114, 115, 116, 117,  65,  65, 
 65,  65,  65,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.12	97/12/08 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
#ifdef YYISARRAY
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
#else
			if (yylastch >= &yytext[ yytextsz ]) {
				int	x = yylastch - yytext;

				yytextsz += YYTEXTSZINC;
				if (yytext == yy_tbuf) {
				    yytext = (char *) malloc(yytextsz);
				    memcpy(yytext, yy_tbuf, sizeof (yy_tbuf));
				}
				else
				    yytext = (char *) realloc(yytext, yytextsz);
				if (!yytext) {
				    fprintf(yyout,
					"Cannot realloc yytext\n");
				    exit(1);
				}
				yylastch = yytext + x;
			}
#endif
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (uintptr_t)yyt > (uintptr_t)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((uintptr_t)yyt < (uintptr_t)yycrank) {	/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
