#ifndef _WIRE
#define _WIRE

#include "pre.h"
#include <malloc.h>
#include <stdio.h>

extern InoutList *InputHead;
extern InoutList *OutputHead;
extern int node_biggest;
extern int num_of_gates;
extern int num_of_trans;
extern PTransList *hash_trans_list;
extern PCGate *hash_gate_list;

extern ResultList *ResultHead;
extern WireList *WireHead;
extern PNodeList *hash_node_list;

#define NLAlloc(type,num) (type *)calloc(num,sizeof(type))
#define ionumber 500

class Wire {

     public:
	Wire();
	~Wire();

	int return_number(char *name);
	NodeList * get_node(char *nodename);
	WireList * insert_wire(WireList *head, char *name);

	bool query_is_terminal(char *name);

	void generate_wirelist();

};


#endif
